import requests

url = 'http://data.krx.co.kr/comm/bldAttendant/getJsonData.cmd'

params = {
    "bld": "dbms/MDC/STAT/standard/MDCSTAT03501",
    "locale": "ko_KR",
    "searchType": 1,
    "mktId": "ALL",
    "trdDd": 20150203,
    "isuCd": "KR7005930003",
    "isuCd2": "KR7005930003",
    "삼성전자",
    "param1isuCd_finder_stkisu0_2": "ALL",
    "csvxls_isNo": False
}

# POST 요청으로 데이터 수집 시도
response = requests.post(url, params=params)


# 응답 상태 코드 확인
if response.status_code == 200:    
    data = response.json()
    print(data)
else:
    print(f"Failed to retrieve data: {response.status_code}")

import pandas as pd

df = pd.DataFrame(data['output'])
df.head()